Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(280)

Unified Diff: tool/travis.sh

Issue 966353002: pkg/shelf: add travis and code coverage settings (Closed) Base URL: https://github.com/dart-lang/shelf.git@master
Patch Set: fix for install Created 5 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « test/test_all.dart ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/travis.sh
diff --git a/tool/travis.sh b/tool/travis.sh
new file mode 100755
index 0000000000000000000000000000000000000000..f7ac953cd8f43121b82d06a82770298b1eed3b50
--- /dev/null
+++ b/tool/travis.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Fast fail the script on failures.
+set -e
+
+dart --checked test/test_all.dart
+
+# Install dart_coveralls; gather and send coverage data.
+if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
+ pub global run dart_coveralls report \
+ --token $COVERALLS_TOKEN \
+ --retry 2 \
+ --exclude-test-files \
+ test/test_all.dart
+fi
« no previous file with comments | « test/test_all.dart ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698